Characters
Get Character
This is a preview API and may change. Returns a single character by its slug.
GET
/
characters
/
{slug}
/api/v1/characters/{slug}
curl --request GET \
--url https://api.venice.ai/api/v1/characters/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.venice.ai/api/v1/characters/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.venice.ai/api/v1/characters/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"adult": false,
"author": "k3x9q",
"createdAt": "2024-12-20T21:28:08.934Z",
"description": "Alan Watts (6 January 1915 – 16 November 1973) was a British and American writer, speaker, and self-styled \"philosophical entertainer\", known for interpreting and popularizing Buddhist, Taoist, and Hindu philosophy for a Western audience.",
"featured": false,
"id": "2f460055-7595-4640-9cb6-c442c4c869b0",
"name": "Alan Watts",
"shareUrl": "https://venice.ai/c/alan-watts",
"photoUrl": "https://outerface.venice.ai/api/characters/2f460055-7595-4640-9cb6-c442c4c869b0/photo",
"slug": "alan-watts",
"stats": {
"averageRating": 4.7,
"imports": 112,
"ratingCount": 24,
"ratingSum": 113,
"userRating": 123
},
"tags": [
"AlanWatts",
"Philosophy",
"Buddhism",
"Taoist",
"Hindu"
],
"updatedAt": "2025-02-09T03:23:53.708Z",
"webEnabled": true,
"modelId": "venice-uncensored-1-2"
},
"object": "character"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Experimental Endpoint
This is an experimental endpoint and may be subject to change.
Postman Collection
For additional examples, please see this Postman Collection.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The slug of the character to retrieve
Example:
"alan-watts"
Was this page helpful?
⌘I
/api/v1/characters/{slug}
curl --request GET \
--url https://api.venice.ai/api/v1/characters/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.venice.ai/api/v1/characters/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.venice.ai/api/v1/characters/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"adult": false,
"author": "k3x9q",
"createdAt": "2024-12-20T21:28:08.934Z",
"description": "Alan Watts (6 January 1915 – 16 November 1973) was a British and American writer, speaker, and self-styled \"philosophical entertainer\", known for interpreting and popularizing Buddhist, Taoist, and Hindu philosophy for a Western audience.",
"featured": false,
"id": "2f460055-7595-4640-9cb6-c442c4c869b0",
"name": "Alan Watts",
"shareUrl": "https://venice.ai/c/alan-watts",
"photoUrl": "https://outerface.venice.ai/api/characters/2f460055-7595-4640-9cb6-c442c4c869b0/photo",
"slug": "alan-watts",
"stats": {
"averageRating": 4.7,
"imports": 112,
"ratingCount": 24,
"ratingSum": 113,
"userRating": 123
},
"tags": [
"AlanWatts",
"Philosophy",
"Buddhism",
"Taoist",
"Hindu"
],
"updatedAt": "2025-02-09T03:23:53.708Z",
"webEnabled": true,
"modelId": "venice-uncensored-1-2"
},
"object": "character"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}